Skip to main content
GET
Provides rooms availabilities matching the session context.

Headers

X-AVP-Properties
string

The properties required in the response.

X-AVP-DescriptionType
string

Mime type of the descriptions.

X-AVP-PictureTemplates
string

The picture templates.

X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Query Parameters

pageNumber
integer<int32>

The number of the requested page.

pageSize
integer<int32>

The number of results per response.

guestPosition
integer<int32>

The index of a room which corresponds to the index of a guest.

Response

OK

paging
object
required
rooms
object[]
required
unavailabilityType
enum<string>
required

Reason why a room appears as unavailable in the search result.

  • None — No unavailability reason applies.
  • NoAvailability — The room has no availability for the requested search context.
  • NoAvailabilityWithFilters — The room has no availability once the current search filters are applied.
  • NoAvailabilityWithCrossSell — The room has no availability but cross-sell alternatives are proposed.
  • NoAvailabilityWithSelectedRoom — The room has no availability given the currently selected room.
  • NoAvailabilityWithSelectedRate — The room has no availability given the currently selected rate.
  • NoAvailabilityWithSelectedRoomAndRate — The room has no availability given both the currently selected room and rate.
  • NoAvailabilityWithRoomInBasket — The room has no availability given other rooms already added to the basket.
  • NoAvailabilityWithSelectedGuests — The room has no availability for the requested guest composition.
  • AvailabilityWithAlternativeGuests — The room is available only if the guest composition is adjusted.
Available options:
None,
NoAvailability,
NoAvailabilityWithFilters,
NoAvailabilityWithCrossSell,
NoAvailabilityWithSelectedRoom,
NoAvailabilityWithSelectedRate,
NoAvailabilityWithSelectedRoomAndRate,
NoAvailabilityWithRoomInBasket,
NoAvailabilityWithSelectedGuests,
AvailabilityWithAlternativeGuests
crossSellUrl
string
default:""
required
filters
object[]
required
sortOrders
object[]
required
alternativeGuestsAllocation
object[]
required
resultsFor
object